Package com.opensymphony.module.sitemesh.html

# Class State

java.lang.Object
com.opensymphony.module.sitemesh.html.State

public final class State extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private List`
`listeners`
`private int`
`ruleCount`
`private TagRule[]`
`rules`
`private List`
`textFilters`

## Constructor Summary

Constructors
Constructor
Description
`State()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(StateChangeListener listener)`
`void`
`addRule(TagRule rule)`
`void`
`addTextFilter(TextFilter textFilter)`
`void`
`endOfState()`
`TagRule`
`getRule(String tagName)`
`void`
`handleText(Text text, HTMLProcessorContext context)`
`boolean`
`shouldProcessTag(String tagName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rules

private TagRule[] rules

### ruleCount

private int ruleCount

### listeners

private List listeners

### textFilters

private List textFilters

## Constructor Details

### State

public State()

## Method Details

### addRule

public void addRule(TagRule rule)

### addTextFilter

public void addTextFilter(TextFilter textFilter)

### shouldProcessTag

public boolean shouldProcessTag(String tagName)

### getRule

public TagRule getRule(String tagName)

### addListener

public void addListener(StateChangeListener listener)

### endOfState

public void endOfState()

### handleText

public void handleText(Text text, HTMLProcessorContext context)